inst-bpm - Task #9113
Milestone # 9017 (Accepted): State Machine subsystem

Command List / Measurement Modes Design
06/11/2015 10:52 AM - John Diamond

Status: Closed Start date: 06/11/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: bpmd Estimated time: 12.00 hours
Target version: Spent time: 5.15 hours
Description

Design the process by which the state machine determines what commands to send to the control task in order to perform the
measurements that the user desires for the current machine cycle.

History

#1 - 06/11/2015 03:02 PM - John Diamond
- % Done changed from 20 to 70

Created a description of the command lists with examples in the wiki, see: Design

#2 - 06/18/2015 09:18 PM - John Diamond
- Status changed from New to Assigned

- % Done changed from 70 to 80

Need to add some notes about how commandlists are executed to the Design wiki.

#3 - 07/16/2015 09:06 PM - John Diamond
Added a sub-section to the State Machine section describing the IDLE and IN CYCLE states.

#4 - 07/16/2015 09:07 PM - John Diamond
- Status changed from Assigned to Resolved

- % Done changed from 80 to 100

#5 - 07/20/2015 04:35 PM - John Diamond

- Status changed from Resolved to Closed
https://cdcvs.fnal.gov/redmine/projects/inst-bpm/wiki/Design#State-Machine
